Bug 736537 - aisleriot - A collection of card games
aisleriot - A collection of card games
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Michel Alexandre Salim
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-09-07 20:32 EDT by Matthias Clasen
Modified: 2011-09-12 12:41 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-09-12 12:41:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
michel: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Matthias Clasen 2011-09-07 20:32:47 EDT
aisleriot used to be part of gnome-games, but has recently become a standalone module.

Spec URL: http://mclasen.fedorapeople.org/aisleriot.spec
SRPM URL: http://mclasen.fedorapeople.org/aisleriot-3.1.1-1.fc16.src.rpm
Description: 
AisleRiot is a collection of over 80 card games programmed in scheme.
Comment 1 Michel Alexandre Salim 2011-09-08 08:46:56 EDT
Almost ready; just a couple of minor issues regarding scriptlets and desktop file validation

* TODO Review [75%]
  - [X] Names [2/2]
    - [X] Package name
    - [X] Spec name
  - [X] Package version [2/2]
	http://fedoraproject.org/wiki/Packaging/NamingGuidelines#Package_Versioning
    - [X] Version number
	  http://fedoraproject.org/wiki/Packaging/NamingGuidelines#Version_Tag
    - [X] Release tag
	  http://fedoraproject.org/wiki/Packaging/NamingGuidelines#Release_Tag
	  http://fedoraproject.org/wiki/Packaging/NamingGuidelines#Pre-Release_packages
  - [X] Meets [[http://fedoraproject.org/wiki/Packaging/Guidelines][guidelines]]
  - [X] Source files match upstream
        $ sha1sum ./aisleriot-3.1.1.tar.xz ../SOURCES/aisleriot-3.1.1.tar.xz 
        e9a436e4c5b70985ca09808773dbb0d6c6674c2f  ./aisleriot-3.1.1.tar.xz
        e9a436e4c5b70985ca09808773dbb0d6c6674c2f  ../SOURCES/aisleriot-3.1.1.tar.xz
  - [X] [[http://fedoraproject.org/wiki/Packaging:No_Bundled_Libraries][No bundled libraries]]
  - [X] License [4/4]
    - [X] License is Fedora-approved
    - [X] No licensing conflict
    - [X] License field accurate
    - [X] License included iff packaged by upstream
  - [-] rpmlint [1/2]
    - [X] on src.rpm
          $ rpmlint SRPMS/aisleriot-3.1.1-1.fc16.src.rpm 
          1 packages and 0 specfiles checked; 0 errors, 0 warnings.
    - [ ] on x86_64.rpm
          $ rpmlint ./aisleriot-*
aisleriot.x86_64: W: non-conffile-in-etc /etc/gconf/schemas/aisleriot.schemas
aisleriot.x86_64: E: incorrect-fsf-address /usr/share/doc/aisleriot-3.1.1/COPYING-DOCS
aisleriot.x86_64: W: dangerous-command-in-%pre rm
aisleriot.x86_64: W: dangerous-command-in-%post rm
aisleriot-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/aisleriot-3.1.1/src/ar-stock.h
aisleriot-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/aisleriot-3.1.1/src/ar-stock.c
aisleriot-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/aisleriot-3.1.1/src/smclient/eggdesktopfile.h
aisleriot-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/aisleriot-3.1.1/src/smclient/eggdesktopfile.c
aisleriot-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/aisleriot-3.1.1/src/lib/ar-sound.h
aisleriot-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/aisleriot-3.1.1/src/lib/ar-sound.c
2 packages and 0 specfiles checked; 7 errors, 3 warnings.
         non-conffile: this should be fixed; mark as %conf{noreplace} ?
         dangerous command: ignore; part of gconf macros
         FSF address: probably could be reported upstream

  - [X] Language & locale [3/3]
    - [X] Spec in US English
    - [X] Spec legible
    - [X] Use %find_lang to handle locale files
  - [X] Build [3/3]
    - [X] Koji results
          http://koji.fedoraproject.org/koji/taskinfo?taskID=3335244
    - [X] BRs complete
    - [X] Directory ownership
  - [X] Spec inspection [6/6]
    - [X] No duplicate files
    - [X] File permissions
    - [X] Filenames must be UTF-8
    - [X] no BuildRoot ([[https://fedoraproject.org/wiki/Packaging/Guidelines#BuildRoot_tag][except if targeting RHEL5]])
    - [X] Macro usage consistent
    - [X] Documentation [1/1]
      - [X] %doc files are non-essential
  - [ ] Desktop file validation
        desktop files not validated; please use desktop-file-validate
  - [-] [[http://fedoraproject.org/wiki/Packaging/ScriptletSnippets][Scriptlets]] [1/3]
    - [ ] desktop-database (desktop entry has MimeType)
          desktop entries have no MimeType so update-desktop-database should
          be removed (also, their outputs are not silenced)
    - [ ] GSettings schema
          output needs to be silenced by redirecting to null; and
          in postun, needs to be or-ed to silence failures if
          glib-compile-schemas is not installed:
          http://fedoraproject.org/wiki/Packaging/ScriptletSnippets#GSettings_Schema
    - [X] icon cache (icons in %{_datadir}/icons/)
Comment 2 Matthias Clasen 2011-09-08 14:15:36 EDT
Spec URL: http://mclasen.fedorapeople.org/aisleriot.spec
SRPM URL: http://mclasen.fedorapeople.org/aisleriot-3.1.1-2.fc16.src.rpm

I've done all the things you've mentioned except for the %conf change - if you look around, you'll find that we don't ship gconf schemas as %conf files anywhere. They are simply misplaced in /etc, historical accident that will be fixed by dconf.
Comment 3 Michel Alexandre Salim 2011-09-10 04:02:09 EDT
Matthias,

the new spec and SRPM don't seem to have been uploaded. Could you do that so I can take a look?

Thanks.
Comment 4 Matthias Clasen 2011-09-10 15:49:32 EDT
oh, sorry. should be there now.
Comment 5 Michel Alexandre Salim 2011-09-11 07:42:52 EDT
Thanks! Everything looks fine - APPROVED
Comment 6 Matthias Clasen 2011-09-12 08:57:16 EDT
New Package SCM Request
=======================
Package Name: aisleriot 
Short Description: A collection of card games
Owners: mclasen, rstrode
Branches: f16
InitialCC:
Comment 7 Gwyn Ciesla 2011-09-12 10:06:05 EDT
Git done (by process-git-requests).

Please correctly format the bug summary in the future.  Thanks!
Comment 8 Matthias Clasen 2011-09-12 12:41:45 EDT
builds done

Note You need to log in before you can comment on or make changes to this bug.